--- title: "Import the Domain Name Exceptions to the Manager" slug: "import-the-domain-name-exceptions-to-the-manager-5" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/import-the-domain-name-exceptions-to-the-manager-5" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Import the Domain Name Exceptions to the Manager This URL imports the domain names from the IPS inspection allowlist to the Manager. ### Resource URL POST /domainnameexceptions/ipsinspectionallowlist/import ### Request Parameters URL Parameters: None Payload Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `MultiPart` | Holds the body part objects | Object | Yes | Details of BodyPart[0]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[0]` | Holds the DNE file element object | Application/json object | Yes | Details of DNEFileElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileName` | Name of the file with the extension | String | Yes | | `fileType` | File type should be .csv | String | No | Details of BodyPart[1]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[1]` | Holds the input stream | Application/json object | Yes | Details of .csv file: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `File` | Domain name exceptions input stream | ByteArrayInput stream | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | **Example** **Request** POST [https:///sdkapi/domainnameexceptions/ipsinspectionallowlist/import](https://<NSM_IP>/sdkapi/domainnameexceptions/ipsinspectionallowlist/import) **Payload** ``` ----Boundary_1_12424925_1353496814940 Content-Type: application/json {"fileType": null, "fileName": "dne.csv"} ----Boundary_1_12424925_1353496814940 Content-Type: application/octet-stream www.google.com, www.yahoo.com, www.abc.com, www.test1.com, www.test2.com ----Boundary_1_12424925_1353496814940-- ``` **Response** ``` { “status”:1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 2202 | Input stream read error | | 2 | 500 | 1001 | Invalid file format. Import supported for CSV files only | | 3 | 500 | 1001 | One or more invalid domain detected in the file. |